FAQ
Edit report at http://pear.php.net/bugs/bug.php?id=17517&edit=1

ID: 17517
Updated by: daniel.oconnor@gmail.com
Reported By: anthon dot pang at gmail dot com
Summary: Change requires/includes to use absolute paths
-Status: Open
+Status: Bogus
Type: Feature/Change Request
Package: HTML_QuickForm2
Operating System: Linux
Package Version: SVN
PHP Version: Irrelevant
Roadmap Versions:
New Comment:

-Status: Open
+Status: Bogus
Sorry; that's completely the opposite direction of PEAR standards and
design guidelines.

There are alternatives to install on webhosts -
http://pear.php.net/manual/en/installation.shared.php for instance.

Not the easiest, cleanest way forward granted; but the accepted way.


Previous Comments:
------------------------------------------------------------------------

[2010-06-23 15:54:12] vipsoft

Description:
------------
In third-party hosting environments, users may not be able to install
PEAR packages or override the include path.

So, instead of:

require_once 'HTML/QuickForm2/Exception.php';

switch to:

require_once dirname(__FILE__) . '/Exception.php';

------------------------------------------------------------------------

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppear-bugs @
categoriesphp
postedJun 26, '10 at 1:25p
activeJun 26, '10 at 1:25p
posts1
users1
websitepear.php.net

1 user in discussion

Daniel Oconnor: 1 post

People

Translate

site design / logo © 2022 Grokbase